Saltar al contenido principal
POST
/
audio
/
retrieve
/api/v1/audio/retrieve
curl --request POST \
  --url https://api.venice.ai/api/v1/audio/retrieve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "elevenlabs-music",
  "queue_id": "123e4567-e89b-12d3-a456-426614174000",
  "delete_media_on_completion": false
}
'
{
  "status": "PROCESSING",
  "average_execution_time": 20000,
  "execution_duration": 5200
}
Usa el queue_id devuelto por /audio/queue para comprobar el estado de la generación. Cuando la solicitud se complete, este endpoint devuelve los datos del audio generado.

Colección de Postman

Para ver más ejemplos, consulta esta Colección de Postman.

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Cuerpo

application/json
model
string
requerido

The ID of the model used for audio generation.

Ejemplo:

"elevenlabs-music"

queue_id
string
requerido

The ID of the audio generation request. Use this to poll for status and retrieve the result.

Ejemplo:

"123e4567-e89b-12d3-a456-426614174000"

delete_media_on_completion
boolean
predeterminado:false

If true, the audio media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the audio.

Ejemplo:

false

Respuesta

Audio generation status or completed audio

status
enum<string>
requerido

The status of the audio generation request.

Opciones disponibles:
PROCESSING
Ejemplo:

"PROCESSING"

average_execution_time
number
requerido

The estimated execution time of the audio generation request in milliseconds (P80).

Ejemplo:

20000

execution_duration
number
requerido

The current duration of the audio generation request in milliseconds.

Ejemplo:

5200